Subject: RE: [Ltru] Matching draft: terminology: application

From: "Addison Phillips" <[email-masked]>
Date: Tue, 15 Nov 2005 08:45:18 -0800

+1

I think what I was saying was "(b), where (a) is a subset of (b)", that is: a protocol specification that references language tags or matching is "an application". I agree with Erik's proposal that we actually say "applications and protocols" where these can be considered to be separate.

Addison

Addison P. Phillips
Globalization Architect, Quest Software

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: Martin Duerst [mailto:[email-masked]]
> Sent: 2005年11月14日 19:03
> To: Addison Phillips; LTRU Working Group
> Subject: RE: [Ltru] Matching draft: terminology: application
> 
> Hello Addison, others,
> 
> [co-chair hat on]
> I think we have to split this discussion into two issues:
> 
> 1) What do we want to say, and
> 2) How do we say it
> 
> So let's figure out 1) first, and let's look at 2)
> once we have figured out 1). I think we have two options:
> a) Apply to protocols (and other standards) only
> b) Apply to everything including what I'd like to call here
>     'end user applications'
> 
> It looks to me like Erik is saying that the current draft
> says a), whereas Frank seems to say that the current draft
> says b) (at least where it doesn't mention protocols).
> Addison seems to say the current draft says b).
> [co-chair hat off]
> 
> 
> I personally think I could live both with a) and with b),
> given that it was clear what we ment. I favorize b) because
> the matching stuff can indeed be used by 'end user applications'.
> However, I have one concern with b): I'd like end user
> applications that implement a protocol (or other standard)
> to follow that standard first and foremost, and the
> advice in our draft after that. I'd also like protocol
> specs and other standards to clearly choose which matching
> algorithm they use in case they do matching. If there is
> a good way to make this clear, I think b) is clearly
> the better option.
> 
> Regards,   Martin.
> 
> 
> At 01:44 05/11/14, Addison Phillips wrote:
>  >I don't quite agree.
>  >
>  >I believe the word application does *include* other standards, such as
> HTTP
>  >or CSS. But it also includes the traditional meaning of the word
>  >'application'. For example, here is the first instance of the word
> application:
>  >
>  >--
>  >The suitability of a particular mechanism to a particular application
>  >depends on the needs of that application.
>  >--
>  >
>  >It seems clear to me that the intended audience is anyone needing to
> select
>  >a matching scheme for their application (be it a standard or a specific
>  >implementation).
>  >
>  >Addison
>  >
>  >Addison P. Phillips
>  >Globalization Architect, Quest Software
>  >
>  >Internationalization is not a feature.
>  >It is an architecture.
>  >
>  >> -----Original Message-----
>  >> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of
>  >> Martin Duerst
>  >> Sent: 2005年11月13日 4:09
>  >> To: LTRU Working Group
>  >> Subject: [Ltru] Matching draft: terminology: application
>  >>
>  >> The term 'application' shows up many times in the document,
>  >> but it's not very clear what that means. My understanding
>  >> is that it means other standards such as HTTP, CSS, and so
>  >> on, not individual end-user applications on a PC.
>  >>
>  >> If this is so, we should make this clear, preferably in
>  >> an introductory section about terminology. If this is
>  >> different, we should also make it clear.
>  >>
>  >> Regards,   Martin.
>  >>
>  >>
>  >> _______________________________________________
>  >> Ltru mailing list
>  >> [email-masked]
>  >> https://www1.ietf.org/mailman/listinfo/ltru

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru